Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_TypeCode::Bounds Class Reference

`#include <Typecode.h>`

Inheritance diagram for CORBA_TypeCode::Bounds:

[legend]
Collaboration diagram for CORBA_TypeCode::Bounds:

[legend]
List of all members.

## Public Methods
| Bounds (void)
virtual CORBA::Exception * | _tao_duplicate (void) const
| The following operation is used in the implementation of it performs a deep copy of the exception, normally it is implemented as:. More...
virtual void | _raise (void)
virtual void | _tao_encode (TAO_OutputCDR &cdr ACE_ENV_ARG_DECL_NOT_USED) const
virtual void | _tao_decode (TAO_InputCDR &cdr ACE_ENV_ARG_DECL_NOT_USED)
## Static Public Methods
Bounds * | _downcast (CORBA_Exception *ex)
| The narrow operation. More...
CORBA::Exception * | _alloc (void)

## Constructor & Destructor Documentation

CORBA_TypeCode::Bounds::Bounds | ( | void |  | ) |

## Member Function Documentation

CORBA::Exception * CORBA_TypeCode::Bounds::_alloc | ( | void |  | ) | `[static]`

CORBA_TypeCode::Bounds * CORBA_TypeCode::Bounds::_downcast | ( | CORBA_Exception * | ex | ) | `[static]`

| The narrow operation. Reimplemented from CORBA_UserException.

void CORBA_TypeCode::Bounds::_raise | ( | void |  | ) | `[virtual]`

| Reimplemented from CORBA_Exception.

virtual void CORBA_TypeCode::Bounds::_tao_decode | ( | TAO_InputCDR &cdr | ACE_ENV_ARG_DECL_NOT_USED | ) | `[virtual]`

| Reimplemented from CORBA_Exception.

CORBA::Exception * CORBA_TypeCode::Bounds::_tao_duplicate | ( | void |  | ) | const`[virtual]`

| The following operation is used in the implementation of it performs a deep copy of the exception, normally it is implemented as:.
     class SomeException : public // Derives from CORBA_Exception
     {
     public:
       virtual CORBA_Exception *_tao_duplicate (void) const
       {
         return new SomeException (*this);
       }
     };
Reimplemented from CORBA_Exception.

void CORBA_TypeCode::Bounds::_tao_encode | ( | TAO_OutputCDR &cdr | ACE_ENV_ARG_DECL | ) | const`[virtual]`

| Reimplemented from CORBA_Exception.

The documentation for this class was generated from the following files:

- Typecode.h
- Typecode.cpp